Name:           supertux
Version:        0.3.0
Release:        1%{?dist}
Summary:        Jump'n run like game similar to Mario Bros
Group:          Amusements/Games
License:        GPL
URL:            http://supertux.lethargik.org/
Source0:        http://download.berlios.de/supertux/supertux-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel >= 1.2.4, SDL_image-devel, SDL_mixer-devel
BuildRequires:  zlib-devel, desktop-file-utils, libGLU-devel
BuildRequires:  physfs-devel, openal-devel, libvorbis-devel
BuildRequires:  gettext, flex, bison, jam

%description
SuperTux is a jump'n run like game, with strong inspiration from the
Super Mario Bros games for Nintendo.

Run and jump through multiple worlds, fighting off enemies by jumping
on them or bumping them from below.  Grabbing power-ups and other stuff
on the way.

%prep
%setup -q

%build
%configure --disable-debug
jam %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
jam -sDESTDIR=$RPM_BUILD_ROOT install 

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/supertux.desktop
desktop-file-install \
        --vendor fedora \
        --add-category X-Fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications supertux.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README WHATSNEW.txt
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Tue Feb 13 2007 Steven Pritchard <steve@kspei.com> 0.3.0-1
- Update to 0.3.0.
- Update URL.
- Drop compile fix patch.
- BR: physfs-devel, openal-devel, libvorbis-devel.
- BR: gettext, flex, bison, jam.
- Build uses jam instead of make now.
- Update doc list.
- Minor spec cleanup.

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 0.1.3-5
- Rebuild

* Sat Jun 03 2006 Steven Pritchard <steve@kspei.com> 0.1.3-4
- BR: libGLU-devel to fix rawhide build

* Tue Feb 07 2006 Steven Pritchard <steve@kspei.com> 0.1.3-3
- Patch to fix compile on rawhide

* Tue Sep 06 2005 Steven Pritchard <steve@kspei.com> 0.1.3-2
- Avoid second .desktop file (#167579)

* Thu Sep 01 2005 Steven Pritchard <steve@kspei.com> 0.1.3-1
- Update to 0.1.3

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.1.2-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Oct 03 2004 Panu Matilainen <pmatilai@welho.com> 0:0.1.2-1
- update to 0.1.2

* Sat May 15 2004 Panu Matilainen <pmatilai@welho.com> 0:0.1.1-0.fdr.2
- add buildrequires libtiff-devel

* Thu May 13 2004 Panu Matilainen <pmatilai@welho.com> 0:0.1.1-0.fdr.1
- Initial RPM release.
